Subject: RE: [Mipshop] RE: Review of draft-vidya-mipshop-handover-keys-aaa -00.txt

From: Narayanan Vidya-CVN065 <[email-masked]>
Date: Tue, 26 Jul 2005 08:26:50 -0500

Hi James,

> 
> > Certainly, we can come up with a way of pushing the key 
> from the NAS 
> > to
> the AR - the thing I am struggling with is that this seems 
> more complex to me than the AR itself getting the key in the 
> first place. We now require different NAS-es - APs, 802.16 
> BSs, PAAs, etc. to support this functionality. There is not 
> much difference in what the MN does - instead of requesting a 
> handover key through the NAS, it requests it from the AR with 
> which it intends to share it. Also, why should we require a 
> L2 entity to cache the HKs for an MN? 802.11 and 802.16 seem 
> to be having enough key caching problems on their own for 
> pre-authentication and predictive handoffs, etc. So, I don't 
> think it makes sense to say that the NAS needs to store the 
> key until the AR asks for it. Also, the NAS probably doesn't 
> know anything about the lifetime of the key (nor should it) - 
> so, how long does it cache it if the AR doesn't ask for the 
> key for a long time?
> >
> >
> 
> Seems like you're convinced on having a new protocol, no 
> sense in continuing the discussion.
> 

I think this is certainly a useful discussion to have. I am not convinced on having a new protocol - just that I am not yet convinced that the simplest way to do this is to tie it to network access. But, I'd like to understand the issues and pros and cons of each approach better, so that the end result we provide the WG with is the desirable one. This discussion has been very useful to us in helping us think through the approaches more. Lets capture these issues and talk through them in Paris. 

Thanks,
Vidya

_______________________________________________
Mipshop mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mipshop